Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Types.MapDuplicateKey

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.xensource.xenapi.Types.XenAPIException
                      com.xensource.xenapi.Types.MapDuplicateKey

All Implemented Interfaces:
  Serializable

Enclosing class:
  Types

    public static class Types.MapDuplicateKey

extends Types.XenAPIException

You tried to add a key-value pair to a map, but that key is already there.

See Also:
  Serialized Form

Field Summary
`String` | `key`
`String` | `paramName`
`String` | `type`
`String` | `uuid`

Fields inherited from class com.xensource.xenapi.Types.XenAPIException
`errorDescription, shortDescription`

Constructor Summary
`Types.MapDuplicateKey(String type, String paramName, String uuid, String key)` Create a new MapDuplicateKey

Method Summary

Methods inherited from class com.xensource.xenapi.Types.XenAPIException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public final String type

### paramName

    public final String paramName

### uuid

    public final String uuid

### key

    public final String key

Constructor Detail

### Types.MapDuplicateKey

    public Types.MapDuplicateKey(String type,
                                 String paramName,
                                 String uuid,
                                 String key)

  Create a new MapDuplicateKey

  Parameters:
    `type` -
    `paramName` -
    `uuid` -
    `key` -

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD